--- old/usr/src/uts/common/io/comstar/port/srpt/srpt_cm.c	Thu Apr  4 14:14:05 2019
+++ new/usr/src/uts/common/io/comstar/port/srpt/srpt_cm.c	Thu Apr  4 14:14:05 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright 2019, Joyent, Inc.
+ */
+
+/*
  * IB CM handlers for s Solaris SCSI RDMA Protocol Target (SRP)
  * transport port provider module for the COMSTAR framework.
  */
@@ -62,8 +66,8 @@
  */
 static ibt_cm_status_t
 srpt_cm_req_hdlr(srpt_target_port_t *tgt, ibt_cm_event_t *event,
-	ibt_cm_return_args_t *ret_args, void *ret_priv_data,
-	ibt_priv_data_len_t ret_priv_data_len)
+    ibt_cm_return_args_t *ret_args, void *ret_priv_data,
+    ibt_priv_data_len_t ret_priv_data_len)
 {
 	ibt_cm_status_t		status;
 	ibt_cm_req_rcv_t	*req;
@@ -244,12 +248,8 @@
 		 */
 		SRPT_DPRINTF_L3("cm_conn_closed_hdlr, remote close,"
 		    " free channel");
-		if (ch != NULL) {
-			srpt_ch_cleanup(ch);
-			srpt_ch_release_ref(ch, 1);
-		} else {
-			SRPT_DPRINTF_L2("cm_conn_closed_hdlr, NULL channel");
-		}
+		srpt_ch_cleanup(ch);
+		srpt_ch_release_ref(ch, 1);
 		break;
 
 	default:
@@ -292,8 +292,8 @@
  */
 ibt_cm_status_t
 srpt_cm_hdlr(void *cm_private, ibt_cm_event_t *event,
-	ibt_cm_return_args_t *ret_args, void *ret_priv_data,
-	ibt_priv_data_len_t ret_len_max)
+    ibt_cm_return_args_t *ret_args, void *ret_priv_data,
+    ibt_priv_data_len_t ret_len_max)
 {
 	ibt_cm_status_t		status = IBT_CM_ACCEPT;
 
